How to update kernel in centos 6 . I am installing dahdi software it requires kernel update in linode hosting

Avatar rajnishs91 4 months, 1 week ago

Hello Everyone,

Please help me to get rid of out these error
--------------------- Error----------------------------------------
You do not appear to have the sources for the 4.15.12-x86_64-linode105 kernel installed.
----------------------Error------------------------------------------

Please help

Rajnish kumar

1 Reply

If you're using the Linode-supplied kernel, you can't upgrade it from within the Linode itself - it's controlled by the hypervisor that runs your machine.

So you have a few options:

  • Reboot the Linode. Most Linodes are set to use the "Latest" kernel by default.
  • If this Linode was deployed fairly recently (within the last year or so, I think), you could follow this guide to reboot into Grub 2 mode, and then use the distribution-supplied kernel

If your software requires a particular kernel module that Linode does not build into theirs, then option 2 is going to be the best one for you - since Linode kernels are supplied via the hypervisor, you can't add modules to them.

If this image is old enough that it doesn't have a grub config on it (ie, the /boot/grub/grub.cfg file does not exist on it), then your best bet to get things working is probably just to use this old guide for Grub Legacy:

https://linode.com/docs/tools-reference/custom-kernels-distros/use-the-distribution-supplied-kernel-on-centos-6-with-grub-legacy/

Reply

Please enter an answer
Tips:

You can mention users to notify them: @username

You can use Markdown to format your question. For more examples see the Markdown Cheatsheet.

> I’m a blockquote.

I’m a blockquote.

[I'm a link] (https://www.google.com)

I'm a link

**I am bold** I am bold

*I am italicized* I am italicized

Community Code of Conduct